% Generated by roxygen2 (4.1.1): do not edit by hand
% Please edit documentation in R/metrics.R
\name{linearMrca}
\alias{linearMrca}
\title{Linear MRCA function}
\usage{
linearMrca(tree, k = 0)
}
\arguments{
\item{tree}{an object of the class \code{phylo}}

\item{k}{(optional) number of tips in tree, for faster computation}
}
\description{
Function to make the MRCA matrix of a tree, where entry (i,j) gives the MRCA of tips i and j.
}
\examples{
## generate a random tree
x <- rtree(6)

## create matrix of MRCAs: entry (i,j) is the node number of the MRCA of tips i and j
linearMrca(x,6)
}
\author{
Michelle Kendall \email{michelle.louise.kendall@gmail.com}
}

